spotrs.f(3)

NAME
spotrs.f -

SYNOPSIS

  Functions/Subroutines
subroutine spotrs (UPLO, N, NRHS, A, LDA, B, LDB, INFO)
SPOTRS

Function/Subroutine Documentation

  subroutine spotrs (characterUPLO, integerN, integerNRHS, real, dimension( lda, * )A, integerLDA, real, dimension( ldb, * )B, integerLDB, integerINFO)

SPOTRS

Purpose:

     SPOTRS solves a system of linear equations A*X = B with a symmetric
     positive definite matrix A using the Cholesky factorization
     A = U**T*U or A = L*L**T computed by SPOTRF.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              = 'U':  Upper triangle of A is stored;
              = 'L':  Lower triangle of A is stored.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    NRHS

              NRHS is INTEGER
              The number of right hand sides, i.e., the number of columns
              of the matrix B.  NRHS >= 0.

    A

              A is REAL array, dimension (LDA,N)
              The triangular factor U or L from the Cholesky factorization
              A = U**T*U or A = L*L**T, as computed by SPOTRF.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,N).

    B

              B is REAL array, dimension (LDB,NRHS)
              On entry, the right hand side matrix B.
              On exit, the solution matrix X.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,N).

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 111 of file spotrs.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.